For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • GETList objects
      • GETList locally-deleted force-distributed objects
      • GETGet object
      • POSTUpload object
      • DELDelete object
      • HEADGet object metadata
  • gRPC
ContactLearn More
RESTObjects

Get object

Beta
GET
https://example.developer.anduril.com/api/v1/objects/:objectPath
GET
/api/v1/objects/:objectPath
$curl https://example.developer.anduril.com/api/v1/objects/objectPath \
> -H "Authorization: Bearer <token>"
Fetches an object from your environment using the objectPath path parameter.
Was this page helpful?
Previous

Upload object

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

objectPathstringRequiredformat: "^[a-zA-Z0-9/_=\-.]*$"
The path of the object to fetch.

Headers

Accept-EncodingenumOptional

If set, Lattice will compress the response using the specified compression method. If the header is not defined, or the compression method is set to identity, no compression will be applied to the response.

Allowed values:
PrioritystringOptional
Indicates a client's preference for the priority of the response. The value is a structured header as defined in RFC 9218. If you do not set the header, Lattice uses the default priority set for the environment. Incremental delivery directives are not supported and will be ignored.

Response headers

Checksumstring
Content-Lengthinteger
Content-Encodingstring
The compression used on the response body.
Expiresstring
Last-Modifiedstring
Pathstring

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error